Package org.gradle.api.plugins.quality

## Class JDependPlugin

- java.lang.Object
- - org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>
  - - org.gradle.api.plugins.quality.JDependPlugin

- All Implemented Interfaces:
    `Plugin<org.gradle.api.internal.project.ProjectInternal>`

      @Deprecated
      public class JDependPlugin
      extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>

  Deprecated.
  JDepend is unmaintained and does not support bytecode compiled for Java 8 and above.
  A `Plugin` that generates design quality metrics by scanning your source packages. This is done using the JDepend tool. This plugin will automatically generate a task for each Java source set. See JDepend for more information.
  See Also:
    `JDependExtension`, `JDepend`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_JDEPEND_VERSION` | Deprecated.

    - ### Fields inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JDependPlugin()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `beforeApply()` | Deprecated.
    `protected void` | `configureConfiguration​(Configuration configuration)` | Deprecated.
    `protected void` | `configureForSourceSet​(SourceSet sourceSet, JDepend task)` | Deprecated.
    `protected void` | `configureTaskDefaults​(JDepend task, String baseName)` | Deprecated.
    `protected CodeQualityExtension` | `createExtension()` | Deprecated.
    `protected Class<JDepend>` | `getTaskType()` | Deprecated.
    `protected String` | `getToolName()` | Deprecated.

    - ### Methods inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `apply, conventionMappingOf, createConfigurations, getBasePlugin, getConfigurationName, getJavaPluginConvention, getReportName, getTaskBaseName, withBasePlugin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_JDEPEND_VERSION

          public static final String DEFAULT_JDEPEND_VERSION

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JDependPlugin

          public JDependPlugin()

      Deprecated.

  - ### Method Detail

    - #### beforeApply

          protected void beforeApply()

      Deprecated.
      Overrides:
        `beforeApply` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### getToolName

          protected String getToolName()

      Deprecated.
      Specified by:
        `getToolName` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### getTaskType

          protected Class<JDepend> getTaskType()

      Deprecated.
      Specified by:
        `getTaskType` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### configureConfiguration

          protected void configureConfiguration​(Configuration configuration)

      Deprecated.
      Specified by:
        `configureConfiguration` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### createExtension

          protected CodeQualityExtension createExtension()

      Deprecated.
      Specified by:
        `createExtension` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### configureTaskDefaults

          protected void configureTaskDefaults​(JDepend task,
                                               String baseName)

      Deprecated.
      Overrides:
        `configureTaskDefaults` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### configureForSourceSet

          protected void configureForSourceSet​(SourceSet sourceSet,
                                               JDepend task)

      Deprecated.
      Overrides:
        `configureForSourceSet` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`